com.opensymphony.xwork2

## Interface ActionEventListener

- All Superinterfaces:
    ActionEventListener

  Deprecated.
  since 6.7.0, use `ActionEventListener` instead.

      @Deprecated
      public interface ActionEventListener
      extends ActionEventListener

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ActionEventListener.LegacyAdapter` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ActionEventListener` | `adapt(ActionEventListener actualListener)` Deprecated.
    `default String` | `handleException(Throwable t, ValueStack stack)` Deprecated. Called when an exception is thrown by the action
    `String` | `handleException(Throwable t, ValueStack stack)` Deprecated.
    `default Object` | `prepare(Object action, ValueStack stack)` Deprecated. Called after an action has been created.
    `Object` | `prepare(Object action, ValueStack stack)` Deprecated.

- - ### Method Detail

    - #### prepare

          default Object prepare(Object action,
                                 ValueStack stack)

      Deprecated.
      Description copied from interface: `ActionEventListener`
      Called after an action has been created.
      Specified by:
        `prepare` in interface `ActionEventListener`
      Parameters:
        `action` - The action
        `stack` - The current value stack
      Returns:
        The action to use

    - #### handleException

          default String handleException(Throwable t,
                                         ValueStack stack)

      Deprecated.
      Description copied from interface: `ActionEventListener`
      Called when an exception is thrown by the action
      Specified by:
        `handleException` in interface `ActionEventListener`
      Parameters:
        `t` - The exception/error that was thrown
        `stack` - The current value stack
      Returns:
        A result code to execute, can be null

    - #### prepare

          Object prepare(Object action,
                         ValueStack stack)

      Deprecated.

    - #### handleException

          String handleException(Throwable t,
                                 ValueStack stack)

      Deprecated.

    - #### adapt

          static ActionEventListener adapt(ActionEventListener actualListener)

      Deprecated.

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.